Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class ElemDecimalFormat

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.UnImplNode
            |
            +--weblogic.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.xslt.ElemDecimalFormat

public class ElemDecimalFormat
extends ElemTemplateElement

Implement xsl:decimal-format.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`XPath` | `m_countMatchPattern`
`java.lang.String` | `m_decimalSeparator_avt`
`java.lang.String` | `m_digit_avt`
`XPath` | `m_fromMatchPattern`
`java.lang.String` | `m_groupingSeparator_avt`
`java.lang.String` | `m_infinity_avt`
`java.lang.String` | `m_minusSign_avt`
`java.lang.String` | `m_name_avt`
`java.lang.String` | `m_NaN_avt`
`java.lang.String` | `m_patternSeparator_avt`
`java.lang.String` | `m_percent_avt`
`java.lang.String` | `m_permille_avt`
`XPath` | `m_valueExpr`
`java.lang.String` | `m_zeroDigit_avt`

Fields inherited from class weblogic.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_excludedNamespaces, m_finishedConstruction, m_firstChild, m_lineNumber, m_namespaces, m_parentNode, m_stylesheet`

Constructor Summary
`ElemDecimalFormat(XSLTEngineImpl processor, Stylesheet stylesheetTree, java.lang.String name, org.xml.sax.AttributeList atts, int lineNumber, int columnNumber)`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` Add a child to the child list.
`java.text.DecimalFormatSymbols` | `getDecimalFormatSymbols()`
`java.lang.String` | `getName()`
`int` | `getXSLToken()`

Methods inherited from class weblogic.apache.xalan.xslt.ElemTemplateElement
`childrenToString, error, execute, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode, processPrefixControl, shouldExcludeResultNamespaceNode, transformSelectedChildren`

Methods inherited from class weblogic.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_countMatchPattern

    public XPath m_countMatchPattern

### m_fromMatchPattern

    public XPath m_fromMatchPattern

### m_valueExpr

    public XPath m_valueExpr

### m_name_avt

    public java.lang.String m_name_avt

### m_decimalSeparator_avt

    public java.lang.String m_decimalSeparator_avt

### m_groupingSeparator_avt

    public java.lang.String m_groupingSeparator_avt

### m_infinity_avt

    public java.lang.String m_infinity_avt

### m_minusSign_avt

    public java.lang.String m_minusSign_avt

### m_NaN_avt

    public java.lang.String m_NaN_avt

### m_percent_avt

    public java.lang.String m_percent_avt

### m_permille_avt

    public java.lang.String m_permille_avt

### m_zeroDigit_avt

    public java.lang.String m_zeroDigit_avt

### m_digit_avt

    public java.lang.String m_digit_avt

### m_patternSeparator_avt

    public java.lang.String m_patternSeparator_avt

Constructor Detail

### ElemDecimalFormat

    public ElemDecimalFormat(XSLTEngineImpl processor,
                             Stylesheet stylesheetTree,
                             java.lang.String name,
                             org.xml.sax.AttributeList atts,
                             int lineNumber,
                             int columnNumber)
                      throws org.xml.sax.SAXException

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemTemplateElement

### getName

    public java.lang.String getName()

### getDecimalFormatSymbols

    public java.text.DecimalFormatSymbols getDecimalFormatSymbols()

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Add a child to the child list.

  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD